# synfig::Segment Struct Reference

`#include <segment.h>`

List of all members.

## Public Member Functions

| Segment ()
| Segment (Point p1, Vector t1, Point p2, Vector t2)
| Segment (Point p1, Point p2)

## Public Attributes

Point | p1
Point | p2
Vector | t1
Vector | t2

## Detailed Description

Todo:
  writeme

## Constructor & Destructor Documentation

synfig::Segment::Segment | ( |  | ) | `[inline]`

synfig::Segment::Segment | ( | Point | p1,
|  | Vector | t1,
|  | Point | p2,
|  | Vector | t2 |
| ) |  |  | `[inline]`

synfig::Segment::Segment | ( | Point | p1,
|  | Point | p2 |
| ) |  |  | `[inline]`

## Member Data Documentation

Point synfig::Segment::p1

Referenced by encode_segment(), synfig::ValueNode_SegCalcVertex::operator()(), synfig::ValueNode_SegCalcTangent::operator()(), and synfig::ValueNode_Composite::operator()().

Point synfig::Segment::p2

Referenced by encode_segment(), synfig::ValueNode_SegCalcVertex::operator()(), synfig::ValueNode_SegCalcTangent::operator()(), and synfig::ValueNode_Composite::operator()().

Vector synfig::Segment::t1

Referenced by encode_segment(), synfig::ValueNode_SegCalcVertex::operator()(), synfig::ValueNode_SegCalcTangent::operator()(), and synfig::ValueNode_Composite::operator()().

Vector synfig::Segment::t2

Referenced by encode_segment(), synfig::ValueNode_SegCalcVertex::operator()(), synfig::ValueNode_SegCalcTangent::operator()(), and synfig::ValueNode_Composite::operator()().

The documentation for this struct was generated from the following file:

- segment.h